//  Stephen Smally © 2012
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.
//      

using Gtk;
using Lsc.Backend;

namespace Lsc.Widgets {
    public class LscCategoryButton : Button {
        public string id { get; private set; }
        public string cat_name { get; private set; }
        public string comment { get; private set; }
        public string icon_name { get; private set; }
        
        public LscCategoryButton (LscCategory to_implement) {
            cat_name = to_implement.name;
            comment = to_implement.comment;
            icon_name = to_implement.icon;
            id = to_implement.id;
            
            Box main_container = new Box(Orientation.HORIZONTAL, 5);
            Image image = new Image.from_icon_name(icon_name, IconSize.DIALOG);
            Label label = new Label(cat_name+"\n<i>"+comment+"</i>");
            
            main_container.pack_start(image, false, false, 0);
            main_container.pack_start(label, true, true, 0);
            
            add(main_container);
        }
    }
    
    public class LscCategoriesGrid : Box {
    }
}